/*float FogNear : register(c12);
float InvFogRange : register(c13);

float ComputeFogAlpha(float3 Pos){
	// Compute fogging alpha
	float DistSq = dot(Pos, Pos);
	float FogAlpha = 1.0f - ((DistSq - FogNear) * InvFogRange);
	FogAlpha = clamp(FogAlpha, 0, 1);
	return FogAlpha;
}*/